Conversation CRM
Get conversation CRM sidebar
Returns CRM data associated with a conversation, including linked lead, pipeline card, and follow-up tasks.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
crm
Get conversation CRM sidebar
curl --request GET \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/crm \
--header 'api_access_token: <api-key>'import requests
url = "https://connect.voxys.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/crm"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://connect.voxys.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/crm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation_id": 100,
"linked_lead": {
"id": 42,
"custom_name": "Enterprise Deal - Q3",
"status": "open",
"lead_value": 15000,
"lead_currency": "USD",
"position": 1,
"notes": "Prospect from trade show",
"assigned_agent": {
"id": 1,
"name": "Jane Smith",
"email": "jane@example.com",
"avatar_url": "<string>"
},
"company": {
"id": 10,
"name": "Acme Corp",
"domain": "acme.com"
},
"conversation_id": 100,
"custom_attributes": {
"industry": "Technology",
"annual_revenue": 500000
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"linked_funnel_card": {
"id": 55,
"funnel_id": 3,
"funnel_stage_id": 7,
"lead": {
"id": 42,
"custom_name": "Enterprise Deal - Q3",
"status": "open",
"lead_value": 15000,
"lead_currency": "USD",
"position": 1,
"notes": "Prospect from trade show",
"assigned_agent": {
"id": 1,
"name": "Jane Smith",
"email": "jane@example.com",
"avatar_url": "<string>"
},
"company": {
"id": 10,
"name": "Acme Corp",
"domain": "acme.com"
},
"conversation_id": 100,
"custom_attributes": {
"industry": "Technology",
"annual_revenue": 500000
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"position": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"follow_up_tasks": [
{
"id": 20,
"title": "Follow up with prospect",
"description": "Call back after proposal review.",
"status": "pending",
"priority": "medium",
"due_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"taskable_type": "Lead",
"taskable_id": 42,
"assigned_to": {
"id": 1,
"name": "Jane Smith",
"email": "jane@example.com",
"avatar_url": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}Authorizations
API access token for authentication. Obtain from your Voxys Connect profile settings.
Path Parameters
The numeric ID of the account.
The ID of the conversation.
Previous
Link pipeline to conversationAssociates an existing pipeline card (deal) with the conversation.
Next
⌘I
Get conversation CRM sidebar

